> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update article

> Updating an existing locale's title, content, excerpt, or slug records a revision of its prior content. SEO-only changes do not create a revision. Adding a new locale requires both title and content.

Updating an existing locale's title, content, excerpt, or slug records a revision of its prior content. SEO-only changes do not create a revision. Adding a new locale requires both title and content.

```http
PUT https://api.weav.com/v1/kb-articles/{id}
```

Requires a token with the `external-api:write` ability.

## Path parameters

<ParamField path="id" type="string" required>
Format: `uuid`.
</ParamField>

## Body

<ParamField body="category_id" type="string | null">
Format: `uuid`.
</ParamField>

<ParamField body="status" type="string | null">
One of: `draft`, `published`.
</ParamField>

<ParamField body="translations" type="array&lt;object&gt;">

</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request PUT \
  --url 'https://api.weav.com/v1/kb-articles/{id}' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "category_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
  "status": "draft",
  "translations": [
    {
      "locale": "en"
    }
  ]
}'
```

```js JavaScript
const body = {
  "category_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
  "status": "draft",
  "translations": [
    {
      "locale": "en"
    }
  ]
};
const response = await fetch("https://api.weav.com/v1/kb-articles/{id}", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"category_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d", "status": "draft", "translations": [{"locale": "en"}]}
response = requests.put("https://api.weav.com/v1/kb-articles/{id}", headers=headers, json=body)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('PUT', 'https://api.weav.com/v1/kb-articles/{id}', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'category_id' => '9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d',
  'status' => 'draft',
  'translations' => 
  array (
    0 => 
    (object) array(
       'locale' => 'en',
    ),
  ),
),
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 200 OK
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "category_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "position": 0,
    "status": "draft",
    "published_at": "2026-01-01T00:00:00Z",
    "source": "manual",
    "translations": [
        {
            "locale": "en",
            "title": "string",
            "slug": "string",
            "content": "string",
            "excerpt": "string",
            "seo_title": "string",
            "noindex": false,
            "canonical_url": "https://example.com",
            "og_image_url": "https://example.com",
            "created_at": "2026-01-01T00:00:00Z",
            "updated_at": "2026-01-01T00:00:00Z"
        }
    ],
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
```

```json 422 Unprocessable Content
{
    "error": "Error message",
    "code": "ERROR_CODE",
    "errors": {}
}
```

</CodeGroup>

- `404` Not Found
- `401` Unauthorized

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="category_id" type="string | null">
Format: `uuid`.
</ParamField>

<ParamField body="position" type="integer | null">

</ParamField>

<ParamField body="status" type="string">
One of: `draft`, `published`.
</ParamField>

<ParamField body="published_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="source" type="string">
One of: `manual`, `auto_generated`, `github`, `mcp`.
</ParamField>

<ParamField body="translations" type="array&lt;object&gt;">

</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
